{if isset($error)}
<div class="alert alert-danger"><i class="fa fa-info-circle"></i> {$error}</div>
{/if}
{if isset($success)}
<div class="alert alert-success"><i class="fa fa-info-circle"></i> {$success}</div>
{/if}
<div class="well">
	<strong>Definieren Sie hier Ihre globalen Variablen</strong><br>
	Definieren Sie z.B. die Variable mit dem Key test (via "key" rufen Sie die Variable auf) k&ouml;nnen Sie diese wie folgt einbinden: {ldelim}$km_test{rdelim} um den Wert auszugeben.
</div>
<div class="block container2">
	<button class="btn btn-primary add" name="newVariable" value="1"><i class="fa fa-share"></i> Neue Variable erstellen</button>
</div>
<div id="newVariable-div" style="display: none;">
	<form action="" method="post" class="navbar-form">
		<input type="hidden" name="kPluginAdminMenu" value="{$kPluginAdminMenu->variables}" />
		<div class="panel-heading"><h3 class="panel-title">Neue Variable erstellen</h3></div>
		<div class="panel-body">
			<div class="input-group">
				<span class="input-group-addon"><label for="name">Bezeichnung</label></span>
				<span class="input-group-wrap">
					<input class="form-control" id="name" name="name" type="text" placeholder="Bezeichnung" />
				</span>
				<span class="input-group-addon">
					<button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Geben Sie hier den Namen f&uuml;r die Variable an. Dieser dient lediglich zu Ihrer Erkennung in der Verwaltung."><i class="fa fa-question"></i></button>
				</span>
			</div>
			<div class="input-group">
				<span class="input-group-addon"><label for="variable">Key (Variable)</label></span>
				<span class="input-group-wrap">
					<input class="form-control" id="variable" name="variable" type="text" placeholder="Variable" />
				</span>
				<span class="input-group-addon">
					<button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="&uuml;ber diesen Wert sprechen Sie die Variable an."><i class="fa fa-question"></i></button>
				</span>
			</div>
			<div class="input-group">
				<span class="input-group-addon"><label for="value">Value (Wert)</label></span>
				<span class="input-group-wrap">
					<input class="form-control" id="value" name="value" type="text" placeholder="Wert" />
				</span>
				<span class="input-group-addon">
					<button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Der Inhalt der an der Stelle der Variable eingef&uuml;gt werden soll."><i class="fa fa-question"></i></button>
				</span>
			</div>
		</div>
		<button type="submit" name="save" value="newVariable" class="btn btn-primary"><i class="fa fa-save"></i> Speichern</button>
	</form>
</div>
{if isset($variables)}
	<table class="table">
		<tr>
			<th>Bezeichnung</th>
			<th>Variable</th>
			<th>Wert</th>
			<th>&nbsp;</th>
		</tr>
		{foreach from=$variables item=variable}
			<tr>
				<form action="" method="post">
				<td><input type="text" class="form-control" name="name" value="{$variable->name}" /></td>
				<td><input type="text" class="form-control" name="variable" value="{$variable->variable}" /></td>
				<td><input type="text" class="form-control" name="value" value="{$variable->value}" /></td>
				<td>
					<input type="hidden" name="id" value="{$variable->id}" />
					<input type="hidden" name="kPluginAdminMenu" value="{$kPluginAdminMenu->variables}" />
					<button name="save" value="editVariable" class="btn btn-primary" title="Variable speichern"><i class="fa fa-save"></i></button>
					<button name="save" value="deleteVariable" class="btn btn-danger" title="Variable l&ouml;schen" onclick="return confirm('Wollen Sie diese Variable wirklich entfernen?');"><i class="fa fa-trash"></i></button>
				</td>
				</form>
			</tr>
		{/foreach}
	</table>
{else}
	<div class="alert alert-info"><i class="fa fa-info-circle"></i> Bisher sind noch keine Variablen vorhanden.</div>
{/if}